Support » Plugin: Social Share Icons & Social Share Buttons » PHP Warning: count(): Parameter must be an array or an object…

  • Resolved ABCdatos

    (@abcdatos)



    Running v2.9.0 with PHP 7.2 I obtain:

    PHP Warning: count(): Parameter must be an array or an object that implements Countable in wp-content/plugins/ultimate-social-media-plus/libs/controllers/sfsi_frontpopUp.php on line 188

    Line 188 is:

    $total=count($custom_icons_order);

    It takes data from:

    $custom_icons_order = unserialize($sfsi_section5['sfsi_plus_CustomIcons_order']);

    Let me know if you need additional information.

    • This topic was modified 2 months, 3 weeks ago by  ABCdatos.
Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Author socialdude

    (@socialdude)

    Thank you for reporting this.

    On which website (url) do you experience the issue (so that we can see)?

    If you de-activate error reporting (at the bottom of question 6 in the plugin), are the errors gone then?

    Sample of URL causing the warning is https://trucoscaseros.epiel.com/.

    Disabling error reporting stops the warning, as expected.

    Regards.

    Plugin Author socialdude

    (@socialdude)

    Ok, it’s usually safe to switch those errors off because they usually don’t point to a serious issue. However, if you want to get to the bottom of it (most likely a conflict with your theme), you can get this plugin https://www.ultimatelysocial.com/usm-premium/ and then we can do a deep-dive… or you just keep suppressing error messages.

    Disabling errors will hide not seroius issues and also future serious ones, this is not a solution.

    Regards.

    Plugin Author socialdude

    (@socialdude)

    We haven’t come across a case yet where those errors were pointing to a serious issue. However, we’re happy to investigate deeper as mentioned above. Or, you can ask your theme creator about it (or switch your theme and see if that fixes it, if that is an option).

    I switched theme to Twenty Seventeen and the error continues:

    AH01071: Got error ‘PHP message: PHP Warning: count(): Parameter must be an array or an object that implements Countable in […]wp-content/plugins/ultimate-social-media-plus/libs/controllers/sfsi_frontpopUp.php on line 188\n’, referer: https://trucoscaseros.epiel.com/

    I don’t want to buy a paid plugin to get support.

    Regards.

    Plugin Author socialdude

    (@socialdude)

    Ok we may have found the issue. We’ll investigate further and update you here.

    Good news, thank you!

    Plugin Author socialdude

    (@socialdude)

    This should be fixed in latest release. Please update and check. Thank you!

    It seems fine. Thank you!

    Hello,

    How this issue fixed?

    Thanks

Viewing 11 replies - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.